clear all;
clc;
path
%% Načtení dat


% Načtení dat : elektrický sušič
[~,~,raw]   = xlsread('D3_data_1.xlsx','D3 elektrický sušič 2.měřění');

num   = cell2mat(raw(3:end,3:end));
raw   = raw(~logical([0;0;sum(isnan(num),2)]),:);
num   = cell2mat(raw(3:end,3:end));

rel_vlhkost = num(:,1);
teplota_PT  = num(:,7);
dif_tlak    = num(:,2);
hmotnost    = num(:,5);
el_prikon   = num(:,3);

el_spotreba = num(:,4);     %[kWh]

%odečtení příkonu motoru ventilátoru a bubnu
for i = 1:length(el_prikon);
    if (el_prikon(i) < 1.0)
        el_prikon(i) = 0;
    else
        el_prikon(i) = el_prikon(i) - 0.519;
    end
end

% Načtení dat : podmínky v laboratoři
[~,~,raw]   = xlsread('D3_data_1.xlsx','podmínky v laboratoři 2.měření');

num   = cell2mat(raw(3:end,3:end));
raw   = raw(~logical([0;0;sum(isnan(num),2)]),:);
num   = cell2mat(raw(3:end,3:end));

rel_vlhkost_lab = num(:,1);
teplota_lab     = num(:,4);
tlak_lab        = num(:,2);

% Přestnost měření
%Vlhkoměr Rotronic HygroClip HC2    +- 1.3 %RH
%Platinový snímač teploty PT65      +-(0.3+0.005|t|) °C
%Pitotova trubice                   1%
%HMOTNOST                           stanoveno
%ELEKTRICKÝ PŘÍKON                  stanoveno
%Comet T3110 (rel. vlhkost)         +- 2.5 %RH
%Comet T0110 (teplota)              +- 0.4 °C
%Comet T2114 (tlak)                 +- 130 Pa

%%  Vyřazení dat, ve kterých topná spirála není v provozu

mereni = 1:1:length(rel_vlhkost);
i = 0;
mereni_upr           = [0;0];
rel_vlhkost_upr      = [0;0];
teplota_PT_upr       = [0;0];
dif_tlak_upr         = [0;0];
hmotnost_upr         = [0;0];
el_prikon_upr        = [0;0];
rel_vlhkost_lab_upr  = [0;0];
teplota_lab_upr      = [0;0];
tlak_lab_upr         = [0;0];
for j = 1:length(rel_vlhkost)
    if el_prikon(j) > 20             %2kW rezerva na ventilátor, pohon...
        i = i+1;
        mereni_upr(i)           = mereni(j);
        rel_vlhkost_upr(i)      = rel_vlhkost(j);
        teplota_PT_upr(i)       = teplota_PT(j);
        dif_tlak_upr(i)         = dif_tlak(j);
        hmotnost_upr(i)         = hmotnost(j);
        el_prikon_upr(i)        = el_prikon(j);
        rel_vlhkost_lab_upr(i)  = rel_vlhkost_lab(j);
        teplota_lab_upr(i)      = teplota_lab(j);
        tlak_lab_upr(i)         = tlak_lab(j);
        
    end
    
end

%%  Vykreslení naměřených hodnot

figure(555)
plot(mereni,teplota_PT,'r');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C]');
legend('\fontsize{12}teplota na výstupu','Location','North');
title('\fontsize{16}\color{blue} Oblasti sušení');
set(gcf,'PaperPositionMode','auto')
set(figure(555), 'Position', [20, 20, 2048, 550]);
saveas(figure(555),'oblasti_teplota.tif');
saveas(figure(555),'oblasti_teplota.png');
print(figure(555),'oblasti_teplota','-depsc');

figure(1)
plot(mereni,rel_vlhkost,'b',mereni,teplota_PT,'r',mereni,rel_vlhkost_lab,'k',mereni,teplota_lab,'g',mereni,hmotnost,'y',mereni,dif_tlak,'c',mereni,el_prikon,'m',mereni,tlak_lab,'k--');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]');
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','North');
title('\fontsize{16}\color{blue} Naměřená data na sušiči D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(1), 'Position', [20, 20, 2048, 550]);
saveas(figure(1),'Namerena_data.tif');
saveas(figure(1),'Namerena_data.png');
print(figure(1),'Namerena_data','-depsc');

figure(2)
plot(mereni_upr,rel_vlhkost_upr,'b',mereni_upr,teplota_PT_upr,'r',mereni_upr,rel_vlhkost_lab_upr,'k',mereni_upr,teplota_lab_upr,'g',mereni_upr,hmotnost_upr,'y',mereni_upr,dif_tlak_upr,'c',mereni_upr,el_prikon_upr,'m',mereni_upr,tlak_lab_upr,'k--')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]')
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','North');
title('\fontsize{16}\color{blue} Upravené naměřené data na sušiči D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(2), 'Position', [20, 20, 2048, 550]);
saveas(figure(2),'Upravena_namerena_data.tif');
saveas(figure(2),'Upravena_namerena_data.png');
print(figure(2),'Upravena_namerena_data','-depsc');

%% Vyrovnávání

rel_vlhkost_vyr     = zeros(2,1);
teplota_PT_vyr      = zeros(2,1);
dif_tlak_vyr        = zeros(2,1);
hmotnost_vyr        = zeros(2,1);
rozdil_hmotnosti_vyr        = zeros(2,1);
el_prikon_vyr       = zeros(2,1);
rel_vlhkost_lab_vyr = zeros(2,1);
teplota_lab_vyr     = zeros(2,1);
tlak_lab_vyr        = zeros(2,1);

rozdil_hmotnosti_upr = zeros(2,1);
hmotnost_upr(length(hmotnost_upr)+1) = hmotnost_upr(length(hmotnost_upr));  %aby jich bylo o jednu víc
for i = 1:length(mereni_upr)
       rozdil_hmotnosti_upr(i) = hmotnost_upr(i+1)-hmotnost_upr(i);
end

x = zeros(8,1);

for i = 1:length(rel_vlhkost_upr)  %pocet_mereni
    
%     x(1) = rel_vlhkost(i);
%     x(2) = teplota_PT(i);
%     x(3) = dif_tlak(i);
%     x(4) = rozdil_hmotnosti(i);
%     x(5) = el_prikon(i);
%     x(6) = rel_vlhkost_lab(i);
%     x(7) = teplota_lab(i);
%     x(8) = tlak_lab(i);

    x(1) = rel_vlhkost_upr(i);
    x(2) = teplota_PT_upr(i);
    x(3) = dif_tlak_upr(i);
    x(4) = rozdil_hmotnosti_upr(i);
    x(5) = el_prikon_upr(i);
    x(6) = rel_vlhkost_lab_upr(i);
    x(7) = teplota_lab_upr(i);
    x(8) = tlak_lab_upr(i);
    
%smerodatna_odchylka = [1.3, 0.3+0.005*x(2), 0.01*x(3), 0.1, 0.1*x(5), 2.5, 0.4, 0.13]; dle zadani
smerodatna_odchylka = [1.3, 0.3+0.005*x(2), 0.01*x(3), 0.1, 0.1*x(5), 2.5, 0.4, 0.13];

F_x = diag(smerodatna_odchylka.^2);

%   účelová funkce
f = @(x_vyr) (x-x_vyr)'*inv(F_x)*(x-x_vyr);

x_0 = x;

% Start with the default options
options = optimoptions('fmincon');
% Modify options setting
options = optimoptions(options,'Display', 'iter');
options = optimoptions(options,'Algorithm', 'active-set');

%[x_vyr,fval] = fmincon(f,x_0,[],[],[],[],[],[],@confuneq_sus,['active-set']);
[x_vyr,fval] = fmincon(f,x_0,[],[],[],[],[],[],@confuneq_sus,options);

rel_vlhkost_vyr(i)      = x_vyr(1);
teplota_PT_vyr(i)       = x_vyr(2);
dif_tlak_vyr(i)         = x_vyr(3);
%hmotnost_vyr(i)         = x_vyr(4);
rozdil_hmotnosti_vyr(i)         = x_vyr(4);
hmotnost_vyr(i)         = hmotnost_upr(i) - rozdil_hmotnosti_vyr(i);
el_prikon_vyr(i)        = x_vyr(5);
rel_vlhkost_lab_vyr(i)  = x_vyr(6);
teplota_lab_vyr(i)      = x_vyr(7);
tlak_lab_vyr(i)         = x_vyr(8);
end

%%  Vykreslení výsledků (slouží i při krachu výpočtu)

osa_namerene = 1:1:length(rel_vlhkost);
osa_x = 1:1:length(rel_vlhkost_vyr);


figure(111)
plot(osa_x,rel_vlhkost_vyr,'b',osa_x,teplota_PT_vyr,'r',osa_x,rel_vlhkost_lab_vyr,'k',osa_x,teplota_lab_vyr,'g',osa_x,hmotnost_vyr,'y',osa_x,dif_tlak_vyr,'c',osa_x,el_prikon_vyr,'m',osa_x,tlak_lab_vyr,'k--');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]');
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','North');
title('\fontsize{16}\color{blue} Vyrovnané data měření ze sušiče D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(111), 'Position', [20, 20, 2048, 550]);
saveas(figure(111),'Havarijni_graf.tif');
saveas(figure(111),'Havarijni_graf.png');
print(figure(111),'Havarijni_graf','-depsc');

figure(3)
subplot(3,1,1)
plot(osa_namerene,rel_vlhkost,'b',osa_x,rel_vlhkost_vyr,'g',osa_namerene,rel_vlhkost_lab,'m',osa_x,rel_vlhkost_lab_vyr,'r')
xlabel('měření');
ylabel('rel.vlhkost [%]')
legend('naměřená rel. vlhkost','vyrovnaná rel. vlhkost','naměřená rel. vlhkost lab.','vyrovnaná rel. vlhkost lab','Location','NorthEastOutside');

%figure(4) % pro průběžnou kontrolu pouze
subplot(3,1,2)
plot(osa_namerene,teplota_PT,'b',osa_x,teplota_PT_vyr,'g',osa_namerene,teplota_lab,'m',osa_x,teplota_lab_vyr,'r')
xlabel('měření');
ylabel('teplota [°C]')
legend('naměřená teplota_PT','vyrovnaná teplota_PT_vyr','naměřená teplota_lab.','vyrovnaná teplota_lab_vyr','Location','NorthEastOutside');

%figure(5) % pro průběžnou kontrolu pouze
subplot(3,1,3)
plot(osa_namerene,dif_tlak,'b',osa_x,dif_tlak_vyr,'g',osa_namerene,el_prikon,'m',osa_x,el_prikon_vyr,'r',osa_namerene,tlak_lab,'y',osa_x,tlak_lab_vyr,'k')
xlabel('měření');
ylabel('tlak [Pa nebo kPa], el. příkon [kW]')
legend('naměřený dif_tlak','vyrovnaný dif_tlak_vyr','naměřený el_prikon','vyrovnaný el_prikon_vyr','naměřená tlak_lab.','vyrovnaná tlak_lab_vyr','Location','NorthEastOutside');


%%  graf relativní vlhkost

figure(7)
plot(mereni,rel_vlhkost,'c',mereni_upr,rel_vlhkost_upr,'b',mereni_upr,rel_vlhkost_vyr,'g',mereni,rel_vlhkost_lab,'m',mereni_upr,rel_vlhkost_lab_upr,'k',mereni_upr,rel_vlhkost_lab_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Relativní vlhkost [%]')
legend('\fontsize{12}naměřená rel. vlhkost na výstupu','\fontsize{12}upravená rel. vlhkost na výstupu','\fontsize{12}vyrovnaná rel. vlhkost na výstupu','\fontsize{12}naměřená rel. vlhkost v laboratoři','\fontsize{12}upravená rel. vlhkost v laboratoři','\fontsize{12}vyrovnaná rel. vlhkost v laboratoři','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřených a vyrovnaných relativních vlhkostí');
set(gcf,'PaperPositionMode','auto')
set(figure(7), 'Position', [20, 20, 2048, 550]);
saveas(figure(7),'Relativni_vlhkost.tif');
saveas(figure(7),'Relativni_vlhkost.png');
print(figure(7),'Relativni_vlhkost','-depsc');

%%  graf teplot

figure(8)
plot(mereni,teplota_PT,'c',mereni_upr,teplota_PT_upr,'b',mereni_upr,teplota_PT_vyr,'g',mereni,teplota_lab,'m',mereni_upr,teplota_lab_upr,'k',mereni_upr,teplota_lab_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Teplota [°C]')
legend('\fontsize{12}naměřená teplota na výstupu','\fontsize{12}upravená teplota na výstupu','\fontsize{12}vyrovnaná teplota na výstupu','\fontsize{12}naměřená teplota v lab.','\fontsize{12}upravená teplota v lab.','\fontsize{12}vyrovnaná teplota v lab','Location','NorthWest');
title('\fontsize{16}\color{blue} Porovnání naměřených a vyrovnaných teplot');
set(gcf,'PaperPositionMode','auto')
set(figure(8), 'Position', [20, 20, 2048, 550]);
saveas(figure(8),'Teploty.tif');
saveas(figure(8),'Teploty.png');
print(figure(8),'Teploty','-depsc');

%%  graf elektrický příkon

figure(9)
plot(mereni,el_prikon,'g',mereni_upr,el_prikon_upr,'b',mereni_upr,el_prikon_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Spotřeba el. energie [kW]')
legend('\fontsize{12}naměřený elektrický příkon','\fontsize{12}upravený elektrický příkon','\fontsize{12}vyrovnaný elektrický příkon','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřeného a vyrovnaného elektrického příkonu');
set(gcf,'PaperPositionMode','auto')
set(figure(9), 'Position', [20, 20, 2048, 550]);
saveas(figure(9),'El_prikon.tif');
saveas(figure(9),'El_prikon.png');
print(figure(9),'El_prikon','-depsc');

%%  graf diferenciální tlak

figure(10)
plot(mereni,dif_tlak,'g',mereni_upr,dif_tlak_upr,'b',mereni_upr,dif_tlak_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Tlak [Pa]')
legend('\fontsize{12}naměřený diferenciální tlak','\fontsize{12}upravený diferenciální tlak','\fontsize{12}vyrovnaný diferenciální tlak','Location','South');
title('\fontsize{16}\color{blue} Porovnání naměřeného a vyrovnaného diferenciálního tlaku');
set(gcf,'PaperPositionMode','auto')
set(figure(10), 'Position', [20, 20, 2048, 550]);
saveas(figure(10),'Dif_tlak.tif');
saveas(figure(10),'Dif_tlak.png');
print(figure(10),'Dif_tlak','-depsc');

%%  graf hmotnost

mereni_upr1 = mereni_upr;
mereni_upr1(length(hmotnost_upr))=mereni_upr(length(hmotnost_vyr))+1;

figure(11)
plot(mereni,hmotnost,'g',mereni_upr1,hmotnost_upr,'b',mereni_upr,hmotnost_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} hmotnost [kg]')
legend('\fontsize{12}naměřená hmotnost','\fontsize{12}upravená hmotnost','\fontsize{12}vyrovnaná hmotnost','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřené a vyrovnané hmotnosti');
set(gcf,'PaperPositionMode','auto')
set(figure(11), 'Position', [20, 20, 2048, 550]);
saveas(figure(11),'Hmotnost.tif');
saveas(figure(11),'Hmotnost.png');
print(figure(11),'Hmotnost','-depsc');

%% Výpočty

% Výpočet rychlosti
k = 1.0015;                %koeficient Pitotovi trubice
rychlost = k.*((574.2*teplota_PT+156842.77)./(tlak_lab*1000)).^(1/2).*(dif_tlak).^(1/2);    %[m/s]
rychlost_vyr = k.*((574.2*teplota_PT_vyr+156842.77)./(tlak_lab_vyr*1000)).^(1/2).*(dif_tlak_vyr).^(1/2);    %[m/s]

% Výpočet průtoku
D = 0.250;                %průměr spalinovodo  [m]
S = (pi*D^2)/4;           %průřez (obsah) spalinovodu  [m2]
prutok     = S*rychlost;  %prutok "spalin" [m3/s]
prutok_hod = prutok*3600; %prutok "spalin" [m3/h] - pro kontrolu, měl by být okolo 600m3/h
prutok_in = prutok.*(teplota_lab./teplota_PT);
prutok_vyr     = S*rychlost_vyr;  %prutok "spalin" [m3/s]
prutok_hod_vyr = prutok_vyr*3600; %prutok "spalin" [m3/h] - pro kontrolu, měl by být okolo 600m3/h
prutok_in_vyr = prutok_vyr.*(teplota_lab_vyr./teplota_PT_vyr);

% Výpočet saturačního tlaku
P_sat_in = (1./((teplota_lab+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_lab+273.15)-7235.*(teplota_lab+273.15).^(-1));  %[Pa]
P_sat_out = (1./((teplota_PT+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_PT+273.15)-7235.*(teplota_PT+273.15).^(-1));    %[Pa]
P_sat_in_vyr = (1./((teplota_lab_vyr+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_lab_vyr+273.15)-7235.*(teplota_lab_vyr+273.15).^(-1));  %[Pa]
P_sat_out_vyr = (1./((teplota_PT_vyr+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_PT_vyr+273.15)-7235.*(teplota_PT_vyr+273.15).^(-1));    %[Pa]

% Výpočet absolutní vlhkosti
abs_vlhkost_in  = 0.62198.*(((rel_vlhkost_lab./100).*P_sat_in)./((tlak_lab.*1000)-((rel_vlhkost_lab./100).*P_sat_in)));   %[kg_vody/kg_such.vzduchu]
abs_vlhkost_out = 0.62198.*(((rel_vlhkost./100).*P_sat_out)./((tlak_lab.*1000)-((rel_vlhkost./100).*P_sat_out)));         %[kg_vody/kg_such.vzduchu]
abs_vlhkost_in_vyr  = 0.62198.*(((rel_vlhkost_lab_vyr./100).*P_sat_in_vyr)./((tlak_lab_vyr.*1000)-((rel_vlhkost_lab_vyr./100).*P_sat_in_vyr)));   %[kg_vody/kg_such.vzduchu]
abs_vlhkost_out_vyr = 0.62198.*(((rel_vlhkost_vyr./100).*P_sat_out_vyr)./((tlak_lab_vyr.*1000)-((rel_vlhkost_vyr./100).*P_sat_out_vyr)));         %[kg_vody/kg_such.vzduchu]

% Výpočet hustoty
ro_in = (1.316e-3./(teplota_lab+273.15)).*(2.65.*(tlak_lab.*1000)-(rel_vlhkost_lab./100).*P_sat_in);   %[kg/m3]
ro_in_1 = (3.483e-3./(teplota_lab+273.15)).*(tlak_lab.*1000-0.379.*(rel_vlhkost_lab./100).*P_sat_in);   %[kg/m3]     %zkouška, vychází stejně
ro_out = (1.316e-3./(teplota_PT+273.15)).*(2.65.*(tlak_lab.*1000)-(rel_vlhkost/100).*P_sat_out);   %[kg/m3]
ro_in_vyr = (1.316e-3./(teplota_lab_vyr+273.15)).*(2.65.*(tlak_lab_vyr.*1000)-(rel_vlhkost_lab_vyr./100).*P_sat_in_vyr);   %[kg/m3]
ro_in_1_vyr = (3.483e-3./(teplota_lab_vyr+273.15)).*(tlak_lab_vyr.*1000-0.379.*(rel_vlhkost_lab_vyr./100).*P_sat_in_vyr);   %[kg/m3]
ro_out_vyr = (1.316e-3./(teplota_PT_vyr+273.15)).*(2.65.*(tlak_lab_vyr.*1000)-(rel_vlhkost_vyr/100).*P_sat_out_vyr);   %[kg/m3]


% Výpočet průtoku v [kg/s]
prutok_kg_in = ro_in.*prutok_in;                 %[kg/s]
prutok_kg_out = ro_out.*prutok;                   
prutok_kg_in_vyr = ro_in_vyr.*prutok_in_vyr;                 %[kg/s]
prutok_kg_out_vyr = ro_out_vyr.*prutok_vyr;                   

% Výpočet odpařené vody
MW_stredni_such.vzduch = 28.964;              %[kg/kmol]
V_m = 22.414;                                 %[Nm3/kmol]

m_voda_in  = (abs_vlhkost_in.*prutok.*MW_stredni_such.vzduch)./V_m;  %[kg/s]    (přepočet na normální m3 ??) VYNÁSOBIT PRŮTOKEM ASI?
m_voda_out = (abs_vlhkost_out.*prutok.*MW_stredni_such.vzduch)./V_m; %[kg/s]    (průtok je při teplotě ohřátého vzduchu)
m_delta    = m_voda_out-m_voda_in;                                   %[kg/s]
m_evap_2 = sum(m_delta);
m_voda_in_vyr  = (abs_vlhkost_in_vyr.*prutok_vyr.*MW_stredni_such.vzduch)./V_m;  %[kg/s]    (přepočet na normální m3 ??) VYNÁSOBIT PRŮTOKEM ASI?
m_voda_out_vyr = (abs_vlhkost_out_vyr.*prutok_vyr.*MW_stredni_such.vzduch)./V_m; %[kg/s]    (průtok je při teplotě ohřátého vzduchu)
m_delta_vyr    = m_voda_out_vyr-m_voda_in_vyr;                                   %[kg/s]
m_evap_vyr_2 = sum(m_delta_vyr);

% Výpočet entalpie
c_a = 1010;       %[J/kg.K]
c_v = 1840;       %[J/kg.K]
l   = 2500;       %[kJ/kg]
h_in = c_a.*teplota_lab+abs_vlhkost_in.*(l*1000+c_v.*teplota_lab);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_out = c_a.*teplota_PT+abs_vlhkost_out.*(l*1000+c_v.*teplota_PT);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_in_vyr = c_a.*teplota_lab_vyr+abs_vlhkost_in_vyr.*(l*1000+c_v.*teplota_lab_vyr);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_out_vyr = c_a.*teplota_PT_vyr+abs_vlhkost_out_vyr.*(l*1000+c_v.*teplota_PT_vyr);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)

% Ohřev vzduchu
Q_h_vz = prutok_kg_out.*(h_out-h_in)./1000;     %[kW]                                           %(opravit) hustota vychazí špatně
Q_h_vz_vyr = prutok_kg_out_vyr.*(h_out_vyr-h_in_vyr)./1000;     %[kW]                                           %(opravit) hustota vychazí špatně

% Teplo potřebné na odpaření
Q_evap = m_delta.*(l*1000)./1000;               %[kW]
Q_evap_vyr = m_delta_vyr.*(l*1000)./1000;               %[kW]

%dodane
Q_H1 = el_prikon - Q_h_vz - Q_evap;
Q_H2 = el_prikon - Q_h_vz;
Q_H3 = el_prikon - Q_evap;
Q_H1_vyr = el_prikon_vyr - Q_h_vz_vyr - Q_evap_vyr;
Q_H2_vyr = el_prikon_vyr - Q_h_vz_vyr;
Q_H3_vyr = el_prikon_vyr - Q_evap_vyr;

Q_i = h_in.*prutok_kg_out./1000;                %[kW]
Q_o = h_out.*prutok_kg_out./1000;               %[kW]
Q_i_vyr = h_in_vyr.*prutok_kg_out_vyr./1000;                %[kW]
Q_o_vyr = h_out_vyr.*prutok_kg_out_vyr./1000;               %[kW]

% SMER
Q_smer_2 = (el_spotreba(length(el_spotreba))-el_spotreba(1))*3600;     %[kJ]
SMER_2 = m_evap_2/Q_smer_2;
SMER_vyr_2 = m_evap_vyr_2/Q_smer_2;

figure(222)
subplot(1,2,1)
bar(1,m_evap_2,'r')
hold on
bar(2,m_evap_vyr_2,'g')
hold off
title('\fontsize{16}\color{blue} Odpařená voda');
xlabel('\fontsize{12} m_e_v_a_p');
ylabel('\fontsize{12}množství vody [kg]');
legend('\fontsize{12}m_e_v_a_p','\fontsize{12}vyrovnaná m_e_v_a_p','Location','South');
subplot(1,2,2)
bar(1,SMER_2,'r')
hold on
bar(2,SMER_vyr_2,'g')
hold off
title('\fontsize{16}\color{blue} SMER');
xlabel('\fontsize{12} SMER');
ylabel('\fontsize{12}[kg/kJ]');
legend('\fontsize{12}SMER','\fontsize{12}vyrovnaný SMER','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(222), 'Position', [50, 50, 550, 256]);
saveas(figure(222),'mEvap_SMER.tif');
saveas(figure(222),'mEvap_SMER.png');
print(figure(222),'mEvap_SMER','-depsc');
%%  Grafy výpočtů

%% rychlost vypařování

figure(221)
subplot(2,1,1);
plot(mereni,m_delta,'r',mereni_upr,m_delta_vyr,'g');
title('\fontsize{16}\color{blue} Rychlost vypařování');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} rychlost [kg/s]');
legend('\fontsize{12}rychlost vypařování','\fontsize{12}vyrovnaná rychlost vypařování','Location','South');

subplot(2,1,2);
plot(mereni,teplota_PT,'r',mereni_upr,teplota_PT_vyr,'g');
title('\fontsize{16}\color{blue} Teplota na výstupu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C]')
legend('\fontsize{12}naměřená teplota na výstupu','\fontsize{12}vyrovnaná teplota na výstupu','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(221), 'Position', [20, 20, 2048, 550]);
saveas(figure(221),'Rychlost_vyparovani.tif');
saveas(figure(221),'Rychlost_vyparovani.png');
print(figure(221),'Rychlost_vyparovani','-depsc');

%%  rychlost, průtok
figure(20)
subplot(2,1,1);
plot(mereni,rychlost,'r',mereni_upr,rychlost_vyr,'g');
title('\fontsize{16}\color{blue} Rychlost proudění');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12}rychlost [m/s]');
legend('\fontsize{12}rychlost proudění','\fontsize{12}vyrovnaná rychlost proudění','Location','South');

subplot(2,1,2);
% figure(21)
plot(mereni,prutok,'b',mereni_upr,prutok_vyr,'c');
title('\fontsize{16}\color{blue} Průtok na vystupu [m3/s]');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} průtok [m3/s]');
legend('\fontsize{12}průtok','\fontsize{12}vyrovnaný průtok','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(20), 'Position', [20, 20, 2048, 550]);
saveas(figure(20),'Rychlost_Prutok.tif');
saveas(figure(20),'Rychlost_Prutok.png');
print(figure(20),'Rychlost_Prutok','-depsc');

%%  tlak nasycených par, hustota

figure(32)
subplot(2,1,1);
plot(mereni,P_sat_in,'r',mereni_upr,P_sat_in_vyr,'g',mereni,P_sat_out,'b',mereni_upr,P_sat_out_vyr,'c');
title('\fontsize{16}\color{blue} Tlak nasycených par');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12}tlak [Pa]');
legend('\fontsize{12}P_s_a_t_, _i_n','\fontsize{12}vyrovnaná P_s_a_t_, _i_n','\fontsize{12}P_s_a_t_, _o_u_t','\fontsize{12}vyrovnaná P_s_a_t_, _o_u_t','Location','EastOutside');

subplot(2,1,2);
% figure(33)
plot(mereni,ro_in,'r',mereni_upr,ro_in_vyr,'g',mereni,ro_out,'b',mereni_upr,ro_out_vyr,'c');
title('\fontsize{16}\color{blue} Průtok na vystupu [m3/s]');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} průtok [m3/s]');
legend('\fontsize{12}ro_i_n','\fontsize{12}vyrovnaný ro_i_n','\fontsize{12}ro_o_u_t','\fontsize{12}vyrovnaný ro_o_u_t','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(32), 'Position', [20, 20, 2048, 550]);
saveas(figure(32),'Psat_Ro.tif');
saveas(figure(32),'Psat_Ro.png');
print(figure(32),'Psat_Ro','-depsc');

%%  absolutní vlhkost, voda

figure(22)
subplot(2,1,1);
plot(mereni,abs_vlhkost_in,'r',mereni_upr,abs_vlhkost_in_vyr,'g',mereni,abs_vlhkost_out,'b',mereni_upr,abs_vlhkost_out_vyr,'c');
title('\fontsize{16}\color{blue} Absolutní vlhkosti vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} absolutní vlhkost [kg_v_o_d_a/kg_s_u_c_h_. _v_z_d_u_c_h]');
legend('\fontsize{12}abs. vlhkost na vstupu','\fontsize{12}vyrovnaná abs. vlhkost na vstupu','\fontsize{12}abs. vlhkost na výstupu','\fontsize{12}vyrovnaná abs. vlhkost na výstupu','Location','EastOutside');

subplot(2,1,2);
% figure(23)
plot(mereni,m_voda_in,'r',mereni_upr,m_voda_in_vyr,'g',mereni,m_voda_out,'b',mereni_upr,m_voda_out_vyr,'c');
title('\fontsize{16}\color{blue} Množství vody ve vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} množství vody [kg]');
legend('\fontsize{12}m_v_o_d_a_,_i_n','\fontsize{12}vyrovnaná m_v_o_d_a_,_i_n','\fontsize{12}m_v_o_d_a_,_o_u_t','\fontsize{12}vyrovnaná m_v_o_d_a_,_o_u_t','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(22), 'Position', [20, 20, 2048, 550]);
saveas(figure(22),'AbsVlhk_MnozVody.tif');
saveas(figure(22),'AbsVlhk_MnozVody.png');
print(figure(22),'AbsVlhk_MnozVody','-depsc');

%%  Entalpie, tepla

figure(24)
subplot(2,1,1);
plot(mereni,h_in,'r',mereni_upr,h_in_vyr,'g',mereni,h_out,'b',mereni_upr,h_out_vyr,'c');
title('\fontsize{16}\color{blue} Entalpie vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} entalpie vzduchu [J/kg]');
legend('\fontsize{12}entalpie vzduchu na vstupu','\fontsize{12}vyrovnaná entalpie vzduchu na vstupu','\fontsize{12}entalpie vzduchu na výstupu','\fontsize{12}vyrovnaná entalpie vzduchu na výstupu','Location','EastOutside');

subplot(2,1,2);
% figure(25)
plot(mereni,Q_i,'r',mereni_upr,Q_i_vyr,'g',mereni,Q_o,'b',mereni_upr,Q_o_vyr,'c');
title('\fontsize{16}\color{blue} Teplo vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}teplo vzduchu na vstupu','\fontsize{12}vyrovnané teplo vzduchu na vstupu','\fontsize{12}teplo vzduchu na výstupu','\fontsize{12}vyrovnané teplo vzduchu na výstupu','Location','EastOutside');


set(gcf,'PaperPositionMode','auto')
set(figure(24), 'Position', [20, 20, 2048, 550]);
saveas(figure(24),'Entalpie_Teplo.tif');
saveas(figure(24),'Entalpie_Teplo.png');
print(figure(24),'Entalpie_Teplo','-depsc');

%%  Rozdíl tepelných energií

figure(26)
subplot(2,1,1);
plot(mereni,Q_h_vz,'r',mereni_upr,Q_h_vz_vyr,'g',mereni,Q_evap,'b',mereni_upr,Q_evap_vyr,'c');
title('\fontsize{16}\color{blue} Přírůstek tepla ve vzduchu a teplo potřebné na odpaření vody z prádla');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} entalpie vzduchu [J/kg]');
legend('\fontsize{12}přírůstek tepla ve vzduchu','\fontsize{12}vyrovnaný přírůstek tepla ve vzduchu','\fontsize{12}teplo potřebné na odpaření vody z prádla','\fontsize{12}vyrovnané teplo potřebné na odpaření vody z prádla','Location','EastOutside');

subplot(2,1,2);
% figure(27)
plot(mereni,Q_i,'r',mereni_upr,Q_i_vyr,'g',mereni,Q_o,'b',mereni_upr,Q_o_vyr,'c',mereni,el_prikon,'k',mereni_upr,el_prikon_vyr,'m');
title('\fontsize{16}\color{blue} Teplo vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}teplo vzduchu na vstupu','\fontsize{12}vyrovnané teplo vzduchu na vstupu','\fontsize{12}teplo vzduchu na výstupu','\fontsize{12}vyrovnané teplo vzduchu na výstupu','\fontsize{12}naměřený elektrický příkon','\fontsize{12}vyrovnaný elektrický příkon','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(26), 'Position', [20, 20, 2048, 550]);
saveas(figure(26),'Rozdil_Tepel.tif');
saveas(figure(26),'Rozdil_Tepel.png');
print(figure(26),'Rozdil_Tepel','-depsc');

%%  Rozdíly teple Q_H1, Q_H2, Q_H3

figure(28)
plot(mereni,Q_H1,'r',mereni_upr,Q_H1_vyr,'g',mereni,Q_H2,'b',mereni_upr,Q_H2_vyr,'c',mereni,Q_H3,'k',mereni_upr,Q_H3_vyr,'m');
title('\fontsize{16}\color{blue} Rozdíly tepel');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}Q_H_1 = el.prikon - Q_h_,_v_z - Q_e_v_a_p','\fontsize{12}vyrovnané Q_H_1','\fontsize{12}Q_H_2 = el.prikon - Q_h_,_v_z','\fontsize{12}vyrovnané Q_H_2','\fontsize{12}Q_H_3 = el.prikon - Q_e_v_a_p','\fontsize{12}vyrovnané Q_H_3','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(28), 'Position', [20, 20, 2048, 550]);
saveas(figure(28),'Rozdil_H1_H2_H3.tif');
saveas(figure(28),'Rozdil_H1_H2_H3.png');
print(figure(28),'Rozdil_H1_H2_H3','-depsc');

%%  Měření 3

clear all;
clc;

%% Načtení dat


% Načtení dat : elektrický sušič
[~,~,raw]   = xlsread('D3_data_1.xlsx','D3 elektrický sušič 3.měřění');

num   = cell2mat(raw(3:end,3:end));
raw   = raw(~logical([0;0;sum(isnan(num),2)]),:);
num   = cell2mat(raw(3:end,3:end));

rel_vlhkost = num(:,1);
teplota_PT  = num(:,7);
dif_tlak    = num(:,2);
hmotnost    = num(:,5);
el_prikon   = num(:,3);

el_spotreba = num(:,4);     %[kWh]

%odečtení příkonu motoru ventilátoru a bubnu
for i = 1:length(el_prikon);
    if (el_prikon(i) < 1.0)
        el_prikon(i) = 0;
    else
        el_prikon(i) = el_prikon(i) - 0.519;
    end
end

% Načtení dat : podmínky v laboratoři
[~,~,raw]   = xlsread('D3_data_1.xlsx','podmínky v laboratoři 3.měření');

num   = cell2mat(raw(3:end,3:end));
raw   = raw(~logical([0;0;sum(isnan(num),2)]),:);
num   = cell2mat(raw(3:end,3:end));

rel_vlhkost_lab = num(:,1);
teplota_lab     = num(:,4);
tlak_lab        = num(:,2);

% Přestnost měření
%Vlhkoměr Rotronic HygroClip HC2    +- 1.3 %RH
%Platinový snímač teploty PT65      +-(0.3+0.005|t|) °C
%Pitotova trubice                   1%
%HMOTNOST                           stanoveno
%ELEKTRICKÝ PŘÍKON                  stanoveno
%Comet T3110 (rel. vlhkost)         +- 2.5 %RH
%Comet T0110 (teplota)              +- 0.4 °C
%Comet T2114 (tlak)                 +- 130 Pa

%%  Vyřazení dat, ve kterých topná spirála není v provozu

mereni = 1:1:length(rel_vlhkost);
i = 0;
mereni_upr           = [0;0];
rel_vlhkost_upr      = [0;0];
teplota_PT_upr       = [0;0];
dif_tlak_upr         = [0;0];
hmotnost_upr         = [0;0];
el_prikon_upr        = [0;0];
rel_vlhkost_lab_upr  = [0;0];
teplota_lab_upr      = [0;0];
tlak_lab_upr         = [0;0];
for j = 1:length(rel_vlhkost)
    if el_prikon(j) > 20             %2kW rezerva na ventilátor, pohon...
        i = i+1;
        mereni_upr(i)           = mereni(j);
        rel_vlhkost_upr(i)      = rel_vlhkost(j);
        teplota_PT_upr(i)       = teplota_PT(j);
        dif_tlak_upr(i)         = dif_tlak(j);
        hmotnost_upr(i)         = hmotnost(j);
        el_prikon_upr(i)        = el_prikon(j);
        rel_vlhkost_lab_upr(i)  = rel_vlhkost_lab(j);
        teplota_lab_upr(i)      = teplota_lab(j);
        tlak_lab_upr(i)         = tlak_lab(j);
        
    end
    
end

%%  Vykreslení naměřených hodnot

figure(1)
plot(mereni,rel_vlhkost,'b',mereni,teplota_PT,'r',mereni,rel_vlhkost_lab,'k',mereni,teplota_lab,'g',mereni,hmotnost,'y',mereni,dif_tlak,'c',mereni,el_prikon,'m',mereni,tlak_lab,'k--');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]');
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','NorthWest');
title('\fontsize{16}\color{blue} Naměřená data na sušiči D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(1), 'Position', [20, 20, 2048, 550]);
saveas(figure(1),'Namerena_data_1.tif');
saveas(figure(1),'Namerena_data_1.png');
print(figure(1),'Namerena_data_1','-depsc');

figure(2)
plot(mereni_upr,rel_vlhkost_upr,'b',mereni_upr,teplota_PT_upr,'r',mereni_upr,rel_vlhkost_lab_upr,'k',mereni_upr,teplota_lab_upr,'g',mereni_upr,hmotnost_upr,'y',mereni_upr,dif_tlak_upr,'c',mereni_upr,el_prikon_upr,'m',mereni_upr,tlak_lab_upr,'k--')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]')
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','NorthWest');
title('\fontsize{16}\color{blue} Upravené naměřené data na sušiči D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(2), 'Position', [20, 20, 2048, 550]);
saveas(figure(2),'Upravena_namerena_data_1.tif');
saveas(figure(2),'Upravena_namerena_data_1.png');
print(figure(2),'Upravena_namerena_data_1','-depsc');

%% Vyrovnánání

rel_vlhkost_vyr     = zeros(2,1);
teplota_PT_vyr      = zeros(2,1);
dif_tlak_vyr        = zeros(2,1);
hmotnost_vyr        = zeros(2,1);
rozdil_hmotnosti_vyr        = zeros(2,1);
el_prikon_vyr       = zeros(2,1);
rel_vlhkost_lab_vyr = zeros(2,1);
teplota_lab_vyr     = zeros(2,1);
tlak_lab_vyr        = zeros(2,1);

rozdil_hmotnosti_upr = zeros(2,1);
hmotnost_upr(length(hmotnost_upr)+1) = hmotnost_upr(length(hmotnost_upr));  %aby jich bylo o jednu víc
for i = 1:length(mereni_upr)
       rozdil_hmotnosti_upr(i) = hmotnost_upr(i+1)-hmotnost_upr(i);
end

x = zeros(8,1);

for i = 1:length(rel_vlhkost_upr)  %pocet_mereni
    
%     x(1) = rel_vlhkost(i);
%     x(2) = teplota_PT(i);
%     x(3) = dif_tlak(i);
%     x(4) = rozdil_hmotnosti(i);
%     x(5) = el_prikon(i);
%     x(6) = rel_vlhkost_lab(i);
%     x(7) = teplota_lab(i);
%     x(8) = tlak_lab(i);

    x(1) = rel_vlhkost_upr(i);
    x(2) = teplota_PT_upr(i);
    x(3) = dif_tlak_upr(i);
    x(4) = rozdil_hmotnosti_upr(i);
    x(5) = el_prikon_upr(i);
    x(6) = rel_vlhkost_lab_upr(i);
    x(7) = teplota_lab_upr(i);
    x(8) = tlak_lab_upr(i);
    
%smerodatna_odchylka = [1.3, 0.3+0.005*x(2), 0.01*x(3), 0.1, 0.1*x(5), 2.5, 0.4, 0.13]; dle zadani
smerodatna_odchylka = [1.3, 0.3+0.005*x(2), 0.01*x(3), 0.1, 0.1*x(5), 2.5, 0.4, 0.13];

F_x = diag(smerodatna_odchylka.^2);

%   účelová funkce
f = @(x_vyr) (x-x_vyr)'*inv(F_x)*(x-x_vyr);

x_0 = x;

% Start with the default options
options = optimoptions('fmincon');
% Modify options setting
options = optimoptions(options,'Display', 'iter');
options = optimoptions(options,'Algorithm', 'active-set');

%[x_vyr,fval] = fmincon(f,x_0,[],[],[],[],[],[],@confuneq_sus,['active-set']);
[x_vyr,fval] = fmincon(f,x_0,[],[],[],[],[],[],@confuneq_sus,options);

rel_vlhkost_vyr(i)      = x_vyr(1);
teplota_PT_vyr(i)       = x_vyr(2);
dif_tlak_vyr(i)         = x_vyr(3);
%hmotnost_vyr(i)         = x_vyr(4);
rozdil_hmotnosti_vyr(i)         = x_vyr(4);
hmotnost_vyr(i)         = hmotnost_upr(i) - rozdil_hmotnosti_vyr(i);
el_prikon_vyr(i)        = x_vyr(5);
rel_vlhkost_lab_vyr(i)  = x_vyr(6);
teplota_lab_vyr(i)      = x_vyr(7);
tlak_lab_vyr(i)         = x_vyr(8);
end

%%  Vykreslení výsledků (slouží i při krachu výpočtu)

osa_namerene = 1:1:length(rel_vlhkost);
osa_x_upr = 1:1:length(rel_vlhkost_upr);
osa_x = 1:1:length(rel_vlhkost_vyr);


figure(111)
plot(osa_x,rel_vlhkost_vyr,'b',osa_x,teplota_PT_vyr,'r',osa_x,rel_vlhkost_lab_vyr,'k',osa_x,teplota_lab_vyr,'g',osa_x,hmotnost_vyr,'y',osa_x,dif_tlak_vyr,'c',osa_x,el_prikon_vyr,'m',osa_x,tlak_lab_vyr,'k--');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C], relativní vlhkost [%], hmotnost [kg], tlak [kPa], el. příkon [kW]');
legend('\fontsize{12}rel. vlhkost na výstupu','\fontsize{12}teplota na výstupu','\fontsize{12}rel. vlhkost v laboratoři','\fontsize{12}teplota v laboratoři','\fontsize{12}hmotnost','\fontsize{12}diferenciální tlak','\fontsize{12}elektrický příkon','\fontsize{12}tlak v laboratoři','Location','North');
title('\fontsize{16}\color{blue} Vyrovnané data měření ze sušiče D3 - Primus T16');
set(gcf,'PaperPositionMode','auto')
set(figure(111), 'Position', [20, 20, 2048, 550]);
saveas(figure(111),'Havarijni_graf_1.tif');
saveas(figure(111),'Havarijni_graf_1.png');
print(figure(111),'Havarijni_graf_1','-depsc');

figure(3)
subplot(3,1,1)
plot(osa_x_upr,rel_vlhkost_upr,'b',osa_x,rel_vlhkost_vyr,'g',osa_x_upr,rel_vlhkost_lab_upr,'m',osa_x,rel_vlhkost_lab_vyr,'r')
xlabel('měření');
ylabel('rel.vlhkost [%]')
legend('naměřená rel. vlhkost','vyrovnaná rel. vlhkost','naměřená rel. vlhkost lab.','vyrovnaná rel. vlhkost lab','Location','NorthEastOutside');

%figure(4) % pro průběžnou kontrolu pouze
subplot(3,1,2)
plot(osa_x_upr,teplota_PT_upr,'b',osa_x,teplota_PT_vyr,'g',osa_x_upr,teplota_lab_upr,'m',osa_x,teplota_lab_vyr,'r')
xlabel('měření');
ylabel('teplota [°C]')
legend('naměřená teplota_PT','vyrovnaná teplota_PT_vyr','naměřená teplota_lab.','vyrovnaná teplota_lab_vyr','Location','NorthEastOutside');

%figure(5) % pro průběžnou kontrolu pouze
subplot(3,1,3)
plot(osa_x_upr,dif_tlak_upr,'b',osa_x,dif_tlak_vyr,'g',osa_x_upr,el_prikon_upr,'m',osa_x,el_prikon_vyr,'r',osa_x_upr,tlak_lab_upr,'y',osa_x,tlak_lab_vyr,'k')
xlabel('měření');
ylabel('tlak [Pa nebo kPa], el. příkon [kW]')
legend('naměřený dif_tlak','vyrovnaný dif_tlak_vyr','naměřený el_prikon','vyrovnaný el_prikon_vyr','naměřená tlak_lab.','vyrovnaná tlak_lab_vyr','Location','NorthEastOutside');


%%  graf relativní vlhkost

figure(7)
plot(mereni,rel_vlhkost,'c',mereni_upr,rel_vlhkost_upr,'b',mereni_upr,rel_vlhkost_vyr,'g',mereni,rel_vlhkost_lab,'m',mereni_upr,rel_vlhkost_lab_upr,'k',mereni_upr,rel_vlhkost_lab_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Relativní vlhkost [%]')
legend('\fontsize{12}naměřená rel. vlhkost na výstupu','\fontsize{12}upravená rel. vlhkost na výstupu','\fontsize{12}vyrovnaná rel. vlhkost na výstupu','\fontsize{12}naměřená rel. vlhkost v laboratoři','\fontsize{12}upravená rel. vlhkost v laboratoři','\fontsize{12}vyrovnaná rel. vlhkost v laboratoři','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřených a vyrovnaných relativních vlhkostí');
set(gcf,'PaperPositionMode','auto')
set(figure(7), 'Position', [20, 20, 2048, 550]);
saveas(figure(7),'Relativni_vlhkost_1.tif');
saveas(figure(7),'Relativni_vlhkost_1.png');
print(figure(7),'Relativni_vlhkost_1','-depsc');

%%  graf teplot

figure(8)
plot(mereni,teplota_PT,'c',mereni_upr,teplota_PT_upr,'b',mereni_upr,teplota_PT_vyr,'g',mereni,teplota_lab,'m',mereni_upr,teplota_lab_upr,'k',mereni_upr,teplota_lab_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Teplota [°C]')
legend('\fontsize{12}naměřená teplota na výstupu','\fontsize{12}upravená teplota na výstupu','\fontsize{12}vyrovnaná teplota na výstupu','\fontsize{12}naměřená teplota v lab.','\fontsize{12}upravená teplota v lab.','\fontsize{12}vyrovnaná teplota v lab','Location','NorthWest');
title('\fontsize{16}\color{blue} Porovnání naměřených a vyrovnaných teplot');
set(gcf,'PaperPositionMode','auto')
set(figure(8), 'Position', [20, 20, 2048, 550]);
saveas(figure(8),'Teploty_1.tif');
saveas(figure(8),'Teploty_1.png');
print(figure(8),'Teploty_1','-depsc');

%%  graf elektrický příkon

figure(9)
plot(mereni,el_prikon,'g',mereni_upr,el_prikon_upr,'b',mereni_upr,el_prikon_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Spotřeba el. energie [kW]')
legend('\fontsize{12}naměřený elektrický příkon','\fontsize{12}upravený elektrický příkon','\fontsize{12}vyrovnaný elektrický příkon','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřeného a vyrovnaného elektrického příkonu');
set(gcf,'PaperPositionMode','auto')
set(figure(9), 'Position', [20, 20, 2048, 550]);
saveas(figure(9),'El_prikon_1.tif');
saveas(figure(9),'El_prikon_1.png');
print(figure(9),'El_prikon_1','-depsc');

%%  graf diferenciální tlak

figure(10)
plot(mereni,dif_tlak,'g',mereni_upr,dif_tlak_upr,'b',mereni_upr,dif_tlak_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} Tlak [Pa]')
legend('\fontsize{12}naměřený diferenciální tlak','\fontsize{12}upravený diferenciální tlak','\fontsize{12}vyrovnaný diferenciální tlak','Location','South');
title('\fontsize{16}\color{blue} Porovnání naměřeného a vyrovnaného diferenciálního tlaku');
set(gcf,'PaperPositionMode','auto')
set(figure(10), 'Position', [20, 20, 2048, 550]);
saveas(figure(10),'Dif_tlak_1.tif');
saveas(figure(10),'Dif_tlak_1.png');
print(figure(10),'Dif_tlak_1','-depsc');

%%  graf hmotnost

mereni_upr1 = mereni_upr;
mereni_upr1(length(hmotnost_upr))=mereni_upr(length(hmotnost_vyr))+1;

figure(11)
plot(mereni,hmotnost,'g',mereni_upr1,hmotnost_upr,'b',mereni_upr,hmotnost_vyr,'r')
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} hmotnost [kg]')
legend('\fontsize{12}naměřená hmotnost','\fontsize{12}upravená hmotnost','\fontsize{12}vyrovnaná hmotnost','Location','NorthEast');
title('\fontsize{16}\color{blue} Porovnání naměřené a vyrovnané hmotnosti');
set(gcf,'PaperPositionMode','auto')
set(figure(11), 'Position', [20, 20, 2048, 550]);
saveas(figure(11),'Hmotnost_1.tif');
saveas(figure(11),'Hmotnost_1.png');
print(figure(11),'Hmotnost_1','-depsc');

%% Výpočty

% Výpočet rychlosti
k = 1.0015;                %koeficient Pitotovi trubice
rychlost = k.*((574.2*teplota_PT+156842.77)./(tlak_lab*1000)).^(1/2).*(dif_tlak).^(1/2);    %[m/s]
rychlost_vyr = k.*((574.2*teplota_PT_vyr+156842.77)./(tlak_lab_vyr*1000)).^(1/2).*(dif_tlak_vyr).^(1/2);    %[m/s]

% Výpočet průtoku
D = 0.250;                %průměr spalinovodo  [m]
S = (pi*D^2)/4;           %průřez (obsah) spalinovodu  [m2]
prutok     = S*rychlost;  %prutok "spalin" [m3/s]
prutok_hod = prutok*3600; %prutok "spalin" [m3/h] - pro kontrolu, měl by být okolo 600m3/h
prutok_in = prutok.*(teplota_lab./teplota_PT);
prutok_vyr     = S*rychlost_vyr;  %prutok "spalin" [m3/s]
prutok_hod_vyr = prutok_vyr*3600; %prutok "spalin" [m3/h] - pro kontrolu, měl by být okolo 600m3/h
prutok_in_vyr = prutok_vyr.*(teplota_lab_vyr./teplota_PT_vyr);

% Výpočet saturačního tlaku
P_sat_in = (1./((teplota_lab+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_lab+273.15)-7235.*(teplota_lab+273.15).^(-1));  %[Pa]
P_sat_out = (1./((teplota_PT+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_PT+273.15)-7235.*(teplota_PT+273.15).^(-1));    %[Pa]
P_sat_in_vyr = (1./((teplota_lab_vyr+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_lab_vyr+273.15)-7235.*(teplota_lab_vyr+273.15).^(-1));  %[Pa]
P_sat_out_vyr = (1./((teplota_PT_vyr+273.15).^8.2)).*exp(77.345+0.0057.*(teplota_PT_vyr+273.15)-7235.*(teplota_PT_vyr+273.15).^(-1));    %[Pa]

% Výpočet absolutní vlhkosti
abs_vlhkost_in  = 0.62198.*(((rel_vlhkost_lab./100).*P_sat_in)./((tlak_lab.*1000)-((rel_vlhkost_lab./100).*P_sat_in)));   %[kg_vody/kg_such.vzduchu]
abs_vlhkost_out = 0.62198.*(((rel_vlhkost./100).*P_sat_out)./((tlak_lab.*1000)-((rel_vlhkost./100).*P_sat_out)));         %[kg_vody/kg_such.vzduchu]
abs_vlhkost_in_vyr  = 0.62198.*(((rel_vlhkost_lab_vyr./100).*P_sat_in_vyr)./((tlak_lab_vyr.*1000)-((rel_vlhkost_lab_vyr./100).*P_sat_in_vyr)));   %[kg_vody/kg_such.vzduchu]
abs_vlhkost_out_vyr = 0.62198.*(((rel_vlhkost_vyr./100).*P_sat_out_vyr)./((tlak_lab_vyr.*1000)-((rel_vlhkost_vyr./100).*P_sat_out_vyr)));         %[kg_vody/kg_such.vzduchu]

% Výpočet hustoty
ro_in = (1.316e-3./(teplota_lab+273.15)).*(2.65.*(tlak_lab.*1000)-(rel_vlhkost_lab./100).*P_sat_in);   %[kg/m3]
ro_in_1 = (3.483e-3./(teplota_lab+273.15)).*(tlak_lab.*1000-0.379.*(rel_vlhkost_lab./100).*P_sat_in);   %[kg/m3]     %zkouška, vychází stejně
ro_out = (1.316e-3./(teplota_PT+273.15)).*(2.65.*(tlak_lab.*1000)-(rel_vlhkost/100).*P_sat_out);   %[kg/m3]
ro_in_vyr = (1.316e-3./(teplota_lab_vyr+273.15)).*(2.65.*(tlak_lab_vyr.*1000)-(rel_vlhkost_lab_vyr./100).*P_sat_in_vyr);   %[kg/m3]
ro_in_1_vyr = (3.483e-3./(teplota_lab_vyr+273.15)).*(tlak_lab_vyr.*1000-0.379.*(rel_vlhkost_lab_vyr./100).*P_sat_in_vyr);   %[kg/m3]
ro_out_vyr = (1.316e-3./(teplota_PT_vyr+273.15)).*(2.65.*(tlak_lab_vyr.*1000)-(rel_vlhkost_vyr/100).*P_sat_out_vyr);   %[kg/m3]


% Výpočet průtoku v [kg/s]
prutok_kg_in = ro_in.*prutok_in;                 %[kg/s]
prutok_kg_out = ro_out.*prutok;                   
prutok_kg_in_vyr = ro_in_vyr.*prutok_in_vyr;                 %[kg/s]
prutok_kg_out_vyr = ro_out_vyr.*prutok_vyr;                   

% Výpočet odpařené vody
MW_stredni_such.vzduch = 28.964;              %[kg/kmol]
V_m = 22.414;                                 %[Nm3/kmol]

m_voda_in  = (abs_vlhkost_in.*prutok.*MW_stredni_such.vzduch)./V_m;  %[kg/s]    (přepočet na normální m3 ??) VYNÁSOBIT PRŮTOKEM ASI?
m_voda_out = (abs_vlhkost_out.*prutok.*MW_stredni_such.vzduch)./V_m; %[kg/s]    (průtok je při teplotě ohřátého vzduchu)
m_delta    = m_voda_out-m_voda_in;                                   %[kg/s]
m_evap_1 = sum(m_delta);
m_voda_in_vyr  = (abs_vlhkost_in_vyr.*prutok_vyr.*MW_stredni_such.vzduch)./V_m;  %[kg/s]    (přepočet na normální m3 ??) VYNÁSOBIT PRŮTOKEM ASI?
m_voda_out_vyr = (abs_vlhkost_out_vyr.*prutok_vyr.*MW_stredni_such.vzduch)./V_m; %[kg/s]    (průtok je při teplotě ohřátého vzduchu)
m_delta_vyr    = m_voda_out_vyr-m_voda_in_vyr;                                   %[kg/s]
m_evap_vyr_1 = sum(m_delta_vyr);

% Výpočet entalpie
c_a = 1010;       %[J/kg.K]
c_v = 1840;       %[J/kg.K]
l   = 2500;       %[kJ/kg]
h_in = c_a.*teplota_lab+abs_vlhkost_in.*(l*1000+c_v.*teplota_lab);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_out = c_a.*teplota_PT+abs_vlhkost_out.*(l*1000+c_v.*teplota_PT);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_in_vyr = c_a.*teplota_lab_vyr+abs_vlhkost_in_vyr.*(l*1000+c_v.*teplota_lab_vyr);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)
h_out_vyr = c_a.*teplota_PT_vyr+abs_vlhkost_out_vyr.*(l*1000+c_v.*teplota_PT_vyr);      %[J/kg]   %(dosadit teplotu v Kelvinech? zkontrolovat)

% Ohřev vzduchu
Q_h_vz = prutok_kg_out.*(h_out-h_in)./1000;     %[kW]                                           %(opravit) hustota vychazí špatně
Q_h_vz_vyr = prutok_kg_out_vyr.*(h_out_vyr-h_in_vyr)./1000;     %[kW]                                           %(opravit) hustota vychazí špatně

% Teplo potřebné na odpaření
Q_evap = m_delta.*(l*1000)./1000;               %[kW]
Q_evap_vyr = m_delta_vyr.*(l*1000)./1000;               %[kW]

%dodane
Q_H1 = el_prikon - Q_h_vz - Q_evap;
Q_H2 = el_prikon - Q_h_vz;
Q_H3 = el_prikon - Q_evap;
Q_H1_vyr = el_prikon_vyr - Q_h_vz_vyr - Q_evap_vyr;
Q_H2_vyr = el_prikon_vyr - Q_h_vz_vyr;
Q_H3_vyr = el_prikon_vyr - Q_evap_vyr;

Q_i = h_in.*prutok_kg_out./1000;                %[kW]
Q_o = h_out.*prutok_kg_out./1000;               %[kW]
Q_i_vyr = h_in_vyr.*prutok_kg_out_vyr./1000;                %[kW]
Q_o_vyr = h_out_vyr.*prutok_kg_out_vyr./1000;               %[kW]

% SMER
Q_smer_1 = (el_spotreba(length(el_spotreba))-el_spotreba(1))*3600;     %[kJ]
SMER_1 = m_evap_1/Q_smer_1;
SMER_vyr_1 = m_evap_vyr_1/Q_smer_1;

figure(222)
subplot(1,2,1)
bar(1,m_evap_1,'r')
hold on
bar(2,m_evap_vyr_1,'g')
hold off
title('\fontsize{16}\color{blue} Odpařená voda');
xlabel('\fontsize{12} m_e_v_a_p');
ylabel('\fontsize{12}množství vody [kg]');
legend('\fontsize{12}m_e_v_a_p','\fontsize{12}vyrovnaná m_e_v_a_p','Location','South');
subplot(1,2,2)
bar(1,SMER_1,'r')
hold on
bar(2,SMER_vyr_1,'g')
hold off
title('\fontsize{16}\color{blue} SMER');
xlabel('\fontsize{12} SMER');
ylabel('\fontsize{12}[kg/kJ]');
legend('\fontsize{12}SMER','\fontsize{12}vyrovnaný SMER','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(222), 'Position', [50, 50, 550, 256]);
saveas(figure(222),'mEvap_SMER_1.tif');
saveas(figure(222),'mEvap_SMER_1.png');
print(figure(222),'mEvap_SMER_1','-depsc');

%%  Grafy výpočtů

%% rychlost vypařování

figure(221)
subplot(2,1,1);
plot(mereni,m_delta,'r',mereni_upr,m_delta_vyr,'g');
title('\fontsize{16}\color{blue} Rychlost vypařování');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} rychlost [kg/s]');
legend('\fontsize{12}rychlost vypařování','\fontsize{12}vyrovnaná rychlost vypařování','Location','South');

subplot(2,1,2);
plot(mereni,teplota_PT,'r',mereni_upr,teplota_PT_vyr,'g');
title('\fontsize{16}\color{blue} Teplota na výstupu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplota [°C]')
legend('\fontsize{12}naměřená teplota na výstupu','\fontsize{12}vyrovnaná teplota na výstupu','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(221), 'Position', [20, 20, 2048, 550]);
saveas(figure(221),'Rychlost_vyparovani_1.tif');
saveas(figure(221),'Rychlost_vyparovani_1.png');
print(figure(221),'Rychlost_vyparovani_1','-depsc');

%%  rychlost, průtok
figure(20)
subplot(2,1,1);
plot(mereni,rychlost,'r',mereni_upr,rychlost_vyr,'g');
title('\fontsize{16}\color{blue} Rychlost proudění');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12}rychlost [m/s]');
legend('\fontsize{12}rychlost proudění','\fontsize{12}vyrovnaná rychlost proudění','Location','South');

subplot(2,1,2);
% figure(21)
plot(mereni,prutok,'b',mereni_upr,prutok_vyr,'c');
title('\fontsize{16}\color{blue} Průtok na vystupu [m3/s]');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} průtok [m3/s]');
legend('\fontsize{12}průtok','\fontsize{12}vyrovnaný průtok','Location','South');

set(gcf,'PaperPositionMode','auto')
set(figure(20), 'Position', [20, 20, 2048, 550]);
saveas(figure(20),'Rychlost_Prutok_1.tif');
saveas(figure(20),'Rychlost_Prutok_1.png');
print(figure(20),'Rychlost_Prutok_1','-depsc');

%%  tlak nasycených par, hustota

figure(32)
subplot(2,1,1);
plot(mereni,P_sat_in,'r',mereni_upr,P_sat_in_vyr,'g',mereni,P_sat_out,'b',mereni_upr,P_sat_out_vyr,'c');
title('\fontsize{16}\color{blue} Tlak nasycených par');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12}tlak [Pa]');
legend('\fontsize{12}P_s_a_t_, _i_n','\fontsize{12}vyrovnaná P_s_a_t_, _i_n','\fontsize{12}P_s_a_t_, _o_u_t','\fontsize{12}vyrovnaná P_s_a_t_, _o_u_t','Location','EastOutside');

subplot(2,1,2);
% figure(33)
plot(mereni,ro_in,'r',mereni_upr,ro_in_vyr,'g',mereni,ro_out,'b',mereni_upr,ro_out_vyr,'c');
title('\fontsize{16}\color{blue} Průtok na vystupu [m3/s]');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} průtok [m3/s]');
legend('\fontsize{12}ro_i_n','\fontsize{12}vyrovnaný ro_i_n','\fontsize{12}ro_o_u_t','\fontsize{12}vyrovnaný ro_o_u_t','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(32), 'Position', [20, 20, 2048, 550]);
saveas(figure(32),'Psat_Ro_1.tif');
saveas(figure(32),'Psat_Ro_1.png');
print(figure(32),'Psat_Ro_1','-depsc');

%%  absolutní vlhkost, voda

figure(22)
subplot(2,1,1);
plot(mereni,abs_vlhkost_in,'r',mereni_upr,abs_vlhkost_in_vyr,'g',mereni,abs_vlhkost_out,'b',mereni_upr,abs_vlhkost_out_vyr,'c');
title('\fontsize{16}\color{blue} Absolutní vlhkosti vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} absolutní vlhkost [kg_v_o_d_a/kg_s_u_c_h_. _v_z_d_u_c_h]');
legend('\fontsize{12}abs. vlhkost na vstupu','\fontsize{12}vyrovnaná abs. vlhkost na vstupu','\fontsize{12}abs. vlhkost na výstupu','\fontsize{12}vyrovnaná abs. vlhkost na výstupu','Location','EastOutside');

subplot(2,1,2);
% figure(23)
plot(mereni,m_voda_in,'r',mereni_upr,m_voda_in_vyr,'g',mereni,m_voda_out,'b',mereni_upr,m_voda_out_vyr,'c');
title('\fontsize{16}\color{blue} Množství vody ve vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} množství vody [kg]');
legend('\fontsize{12}m_v_o_d_a_,_i_n','\fontsize{12}vyrovnaná m_v_o_d_a_,_i_n','\fontsize{12}m_v_o_d_a_,_o_u_t','\fontsize{12}vyrovnaná m_v_o_d_a_,_o_u_t','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(22), 'Position', [20, 20, 2048, 550]);
saveas(figure(22),'AbsVlhk_MnozVody_1.tif');
saveas(figure(22),'AbsVlhk_MnozVody_1.png');
print(figure(22),'AbsVlhk_MnozVody_1','-depsc');

%%  Entalpie, tepla

figure(24)
subplot(2,1,1);
plot(mereni,h_in,'r',mereni_upr,h_in_vyr,'g',mereni,h_out,'b',mereni_upr,h_out_vyr,'c');
title('\fontsize{16}\color{blue} Entalpie vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} entalpie vzduchu [J/kg]');
legend('\fontsize{12}entalpie vzduchu na vstupu','\fontsize{12}vyrovnaná entalpie vzduchu na vstupu','\fontsize{12}entalpie vzduchu na výstupu','\fontsize{12}vyrovnaná entalpie vzduchu na výstupu','Location','EastOutside');

subplot(2,1,2);
% figure(25)
plot(mereni,Q_i,'r',mereni_upr,Q_i_vyr,'g',mereni,Q_o,'b',mereni_upr,Q_o_vyr,'c');
title('\fontsize{16}\color{blue} Teplo vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}teplo vzduchu na vstupu','\fontsize{12}vyrovnané teplo vzduchu na vstupu','\fontsize{12}teplo vzduchu na výstupu','\fontsize{12}vyrovnané teplo vzduchu na výstupu','Location','EastOutside');


set(gcf,'PaperPositionMode','auto')
set(figure(24), 'Position', [20, 20, 2048, 550]);
saveas(figure(24),'Entalpie_Teplo_1.tif');
saveas(figure(24),'Entalpie_Teplo_1.png');
print(figure(24),'Entalpie_Teplo_1','-depsc');

%%  Rozdíl tepelných energií

figure(26)
subplot(2,1,1);
plot(mereni,Q_h_vz,'r',mereni_upr,Q_h_vz_vyr,'g',mereni,Q_evap,'b',mereni_upr,Q_evap_vyr,'c');
title('\fontsize{16}\color{blue} Přírůstek tepla ve vzduchu a teplo potřebné na odpaření vody z prádla');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} entalpie vzduchu [J/kg]');
legend('\fontsize{12}přírůstek tepla ve vzduchu','\fontsize{12}vyrovnaný přírůstek tepla ve vzduchu','\fontsize{12}teplo potřebné na odpaření vody z prádla','\fontsize{12}vyrovnané teplo potřebné na odpaření vody z prádla','Location','EastOutside');

subplot(2,1,2);
% figure(27)
plot(mereni,Q_i,'r',mereni_upr,Q_i_vyr,'g',mereni,Q_o,'b',mereni_upr,Q_o_vyr,'c',mereni,el_prikon,'k',mereni_upr,el_prikon_vyr,'m');
title('\fontsize{16}\color{blue} Teplo vzduchu');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}teplo vzduchu na vstupu','\fontsize{12}vyrovnané teplo vzduchu na vstupu','\fontsize{12}teplo vzduchu na výstupu','\fontsize{12}vyrovnané teplo vzduchu na výstupu','\fontsize{12}naměřený elektrický příkon','\fontsize{12}vyrovnaný elektrický příkon','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(26), 'Position', [20, 20, 2048, 550]);
saveas(figure(26),'Rozdil_Tepel_1.tif');
saveas(figure(26),'Rozdil_Tepel_1.png');
print(figure(26),'Rozdil_Tepel_1','-depsc');

%%  Rozdíly teple Q_H1, Q_H2, Q_H3

figure(28)
plot(mereni,Q_H1,'r',mereni_upr,Q_H1_vyr,'g',mereni,Q_H2,'b',mereni_upr,Q_H2_vyr,'c',mereni,Q_H3,'k',mereni_upr,Q_H3_vyr,'m');
title('\fontsize{16}\color{blue} Rozdíly tepel');
xlabel('\fontsize{12} čas [s] ');
ylabel('\fontsize{12} teplo [kW]');
legend('\fontsize{12}Q_H_1 = el.prikon - Q_h_,_v_z - Q_e_v_a_p','\fontsize{12}vyrovnané Q_H_1','\fontsize{12}Q_H_2 = el.prikon - Q_h_,_v_z','\fontsize{12}vyrovnané Q_H_2','\fontsize{12}Q_H_3 = el.prikon - Q_e_v_a_p','\fontsize{12}vyrovnané Q_H_3','Location','EastOutside');

set(gcf,'PaperPositionMode','auto')
set(figure(28), 'Position', [20, 20, 2048, 550]);
saveas(figure(28),'Rozdil_H1_H2_H3_1.tif');
saveas(figure(28),'Rozdil_H1_H2_H3_1.png');
print(figure(28),'Rozdil_H1_H2_H3_1','-depsc');

